<template>
  <v-app id="app" class="wrapper">
    <Header />
    <v-main>
      <router-view></router-view>
      <Main />
    </v-main>
    <Footer />
  </v-app>
</template>

<script>
import Header from "@/components/Header";
import Main from "@/components/Main";
import Footer from "@/components/Footer";
import Vue from "vue";
import axios from "axios";
import VueAxios from "vue-axios";
Vue.use(VueAxios, axios);
export default {
  name: "App",
  data() {
    return {
      token: "",
      me: {},
    };
  },
  components: {
    Header,
    Main,
    Footer,
  },
  methods: {
    getToken(token) {
      this.token = token;
      if (this.token != "") {
        this.getMe();
      }
    },
    postToken() {
      return this.token;
    },
    getMe() {
      let api = "/api/users/me/";
      axios({
        headers: { Authorization: `Bearer ${this.token}` },
        method: "get",
        url: api,
      })
        .then((response) => {
          if (response.data.is_activ == true) {
            this.me = response.data;
          }
        })
        .catch(() => {
          this.me = {};
        });
    },
  },
  mounted() {
    if (localStorage.token) {
      this.token = localStorage.token;
    }

    if (this.token != "") {
      this.getMe();
    }
  },
  watch: {
    token(newToken) {
      if (newToken != "") {
        localStorage.token = newToken;
        this.getMe();
      }
    },
  },
};
</script>




<style lang="scss">
/* Invisible */
.visually-hidden {
  position:absolute;
  clip: rect(0,0,0,0);
  width: 1px;
  height: 1px;
  margin: -1px;
}

a {
  text-decoration: none;
}

html, body {
  height: 100%;
}

.wrapper {
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

.main {
  flex: 1 1 auto;
}

</style>